## edu.cwru.SimpleRTS.agent
Class BasicGatheringCoordinator

    java.lang.Object
      edu.cwru.SimpleRTS.agent.BasicGatheringCoordinator

All Implemented Interfaces:
  java.io.Serializable

    public class BasicGatheringCoordinator

extends java.lang.Object
implements java.io.Serializable

A basic AI that does simple commanding of gatherer units UNABLE TO HANDLE UNITS THAT DO ONE OR THE OTHER OF BUILDING AND GATHERING

See Also:
  Serialized Form

Constructor Summary
`BasicGatheringCoordinator(int playerID, java.util.Random r)`

Method Summary
`void` `assignActions(State.StateView state, edu.cwru.SimpleRTS.agent.ScriptedGoalAgent.RelevantStateView relstate, java.util.Map<java.lang.Integer,Action> actions)`
`void` `assignGold(java.lang.Integer unitID)`
`void` `assignIdle(java.lang.Integer unitID)`
`void` `assignOther(java.lang.Integer unitID)`
`void` `assignWood(java.lang.Integer unitID)`
`void` `checkWorkersForIdleness(State.StateView state)`
`java.lang.Integer` `getGoldWorker()`
`java.lang.Integer` `getIdleWorker()`
`java.lang.Integer` `getWoodWorker()`
`boolean` `hasGoldWorker(java.lang.Integer id)`
`boolean` `hasIdleWorker(java.lang.Integer id)`
`boolean` `hasWoodWorker(java.lang.Integer id)`
`void` `initialize(State.StateView state)`
`int` `numGoldWorkers()`
`int` `numIdleWorkers()`
`int` `numWoodWorkers()`
`void` `removeUnit(java.lang.Integer unitID)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicGatheringCoordinator

    public BasicGatheringCoordinator(int playerID,
                                     java.util.Random r)

Method Detail

### initialize

    public void initialize(State.StateView state)

### getGoldWorker

    public java.lang.Integer getGoldWorker()

### getWoodWorker

    public java.lang.Integer getWoodWorker()

### getIdleWorker

    public java.lang.Integer getIdleWorker()

### numGoldWorkers

    public int numGoldWorkers()

### numWoodWorkers

    public int numWoodWorkers()

### numIdleWorkers

    public int numIdleWorkers()

### hasGoldWorker

    public boolean hasGoldWorker(java.lang.Integer id)

### hasWoodWorker

    public boolean hasWoodWorker(java.lang.Integer id)

### hasIdleWorker

    public boolean hasIdleWorker(java.lang.Integer id)

### removeUnit

    public void removeUnit(java.lang.Integer unitID)

### assignGold

    public void assignGold(java.lang.Integer unitID)

### assignWood

    public void assignWood(java.lang.Integer unitID)

### assignOther

    public void assignOther(java.lang.Integer unitID)

### assignIdle

    public void assignIdle(java.lang.Integer unitID)

### checkWorkersForIdleness

    public void checkWorkersForIdleness(State.StateView state)

### assignActions

    public void assignActions(State.StateView state,
                              edu.cwru.SimpleRTS.agent.ScriptedGoalAgent.RelevantStateView relstate,
                              java.util.Map<java.lang.Integer,Action> actions)